Subject: description of p2p link in r-LSA

From: Li Zhongjie <[email-masked]>
Date: Mon, 2 Sep 2002 12:05:45 +0800

Hi,

  For a numbered point-to-point link, a router has two options to declare a stub link <link id,link data>:
  1) <subnet number, subnet mask>
  2) <endpoint ip address, all 1's mask>
  as decribed in RFC2328 section 12.4.1.1 page 130.
  Two questions to ask:
  1) what is the mostly widely used option on the current Internet?
  2) I think different routers in an OSPF area can use different options without causing any problems, right?
---
Best Regards,

Zhongjie Li

********************************************************************
*    Zhongjie Li                                                   *
*    Ph.D candidate, Department of Computer Science & Technology   *
*    Tsinghua University, Beijing, 100084, P.R.China               *
*    Tel: +86+10-62788109     Fax:  +86+10-62788109                *
*    Email: [email-masked]                          *
********************************************************************

---

From: "Manral, Vishwas" <[email-masked]>
Date: Tue, 3 Sep 2002 00:24:44 -0400

Hi Zhongjie Li,

Acee is right, I did mean option 2 in the RFC. I did not notice it could
create conflict here.

Thanks,
Vishwas

-----Original Message-----
From: Acee Lindem [mailto:[email-masked]]
Sent: Monday, September 02, 2002 7:51 PM
To: [email-masked]
Subject: Re: description of p2p link in r-LSA

Manral, Vishwas wrote:

> Hi Zhongjie Li,
>
> 1) The few implementations I know of use option 2.

For the sake of clarification, I believe Vishwas means option 2
as defined in the RFC 2328 (as opposed to Zhonglie's E-mail
where the two options are reversed).

> 2) No, there should be no interoperabilty concerns/problems if the two
ends
> use different options. However in that case we would have a host
route(/32)
> as well as a network route.
>
> Also check the link
>
http://discuss.microsoft.com/SCRIPTS/WA-MSD.EXE?A2=ind9908&L=OSPF&P=R3243&I=
> -3. A similar discussion was on the list a few days back too.
>
> Thanks,
> Vishwas
>
> -----Original Message-----
> From: Li Zhongjie [mailto:[email-masked]]
> Sent: Monday, September 02, 2002 9:36 AM
> To: [email-masked]
> Subject: description of p2p link in r-LSA
>
>
> Hi,
>
>   For a numbered point-to-point link, a router has two options to declare
a
> stub link <link id,link data>:

--
Acee